/*
 * NestedBoxSpacingTest.java
 *
 * Created on February 6, 2001, 5:43 PM
 */

package test;

import com.oculustech.layout.*;

import java.awt.*;
import javax.swing.*;
/**
 * This class displays a simple layout with two rows, each with a labeled text field and a button.
 * In the first row, There should be 5-6 pixels between the label and field,
 * and 3 pixels between the field and button.  In the second row, there should
 * be 3 pixels space between everything.
 *
 * @author  jcmiller
 * @version 
 */
public class NestedBoxSpacingTest extends javax.swing.JFrame {

    /** Creates new form NestedBoxSpacingTest */
    public NestedBoxSpacingTest() {
        initComponents ();
        pack ();
    }

    private void initComponents () {//GEN-BEGIN:initComponents
        JLabel label = new JLabel("My Field");
        JTextField field = new JTextField("Test Field");

        addWindowListener (new java.awt.event.WindowAdapter () {
            public void windowClosing (java.awt.event.WindowEvent evt) {
                exitForm (evt);
            }
        }
                           );



        OculusLayoutHelper layout = new OculusLayoutHelper(OculusLayout.HORIZONTAL);

        layout.addFiller();
        layout.add(label);
        layout.addAlignmentPoint();
        layout.nestBox(OculusLayout.HORIZONTAL);
        {
            layout.nestBox(OculusLayout.VERTICAL);
            {
                layout.nestBox(OculusLayout.HORIZONTAL);
                {
                    layout.nestBox(OculusLayout.VERTICAL);
                    {
                        layout.nestBox(OculusLayout.HORIZONTAL);
                        {
                            layout.add(field);
                            layout.parent();
                        }
                        layout.parent();
                    }
                    layout.parent();
                }
                layout.parent();
            }
            layout.parent();
        }
        
        getContentPane().setLayout(new OculusLayout(getContentPane(),OculusLayout.HORIZONTAL));
        getContentPane().add(layout.getRoot());
    }//GEN-END:initComponents

    /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
        System.exit (0);
    }//GEN-LAST:event_exitForm

    /**
     * @param args the command line arguments
     */
    public static void main (String args[]) {
        new NestedBoxSpacingTest ().show ();
    }
}
